package com.goafanti.customer.service;

import com.goafanti.common.model.OrganizationAnnualReport;
import com.goafanti.common.model.OrganizationYearProject;
import com.goafanti.core.mybatis.page.Pagination;

public interface AdminOrgAnnualReportService {

	int addOrgAnnual(OrganizationAnnualReport o);

	int delectOrgAnnual(OrganizationAnnualReport o);

	OrganizationAnnualReport selectOrgAnnual(String id);

	int updateOrgAnnual(OrganizationAnnualReport o);

	Pagination<OrganizationAnnualReport> selectListOrgAnnual(OrganizationAnnualReport o, Integer pNo, Integer pSize);

	boolean checkYear(OrganizationAnnualReport o);

	int addOrgYearProject(OrganizationYearProject o);

	int delectOrgYearProject(OrganizationYearProject o);

	OrganizationYearProject selectOrgYearProject(String id);

	int updateOrgYearProject(OrganizationYearProject o);

	Pagination<OrganizationYearProject> selectListOrgYearProject(OrganizationYearProject o, Integer pNo, Integer pSize);

	boolean checkAnnual(OrganizationAnnualReport o);

}
